local AddonName, a = ...
local L = a.Localize
local s = SpellFlashAddon
local c = BittensSpellFlashLibrary

local config = {}
config.event = {}

function config.OnModuleSettingsSave()
    a.UpdateBCMVisibility()
end

function config.OtherAurasFunction()
    -- This is called before Spells.lua loads, so sadly we have to hard code
    -- the spell ids.
    s.SetOtherAuras(2948--[[Scorch]], 22959--[[Critical Mass]])
end

config.CheckButtonOptions = {
    LeftCheckButton1 = {
        DefaultChecked = true,
        ConfigKey = "arcane_off",
        Label = L["Flash Arcane"],
    },
    LeftCheckButton2 = {
        DefaultChecked = true,
        ConfigKey = "fire_off",
        Label = L["Flash Fire"],
    },
    LeftCheckButton3 = {
        DefaultChecked = true,
        ConfigKey = "frost_off",
        Label = L["Flash Frost"],
    },
    RightCheckButton2 = {
        DefaultChecked = true,
        ConfigKey = "hide_BCM",
        Label = L["Show Combustion Monitor"],
    },
}

config.EditBoxOptions = {
	LeftEditBox1 = {
		DefaultValue = "45",
		Numeric = true,
		MaxCharacters = 3,
		ConfigKey = "burn_length",
		Label = L["Length of burn phase:"],
	},
	LeftEditBox2 = {
		DefaultValue = "28",
		Numeric = true,
		MaxCharacters = 2,
		ConfigKey = "evocate_percent",
		Label = L["Evocate at % mana:"],
	},
	RightEditBox1 = {
		DefaultValue = "92",
		Numeric = true,
		MaxCharacters = 2,
		ConfigKey = "missiles_percent",
		Label = L["Use Arcane Missiles below % mana:"],
	},
	RightEditBox2 = {
		DefaultValue = "150000",
		Numeric = true,
		MaxCharacters = 7,
		ConfigKey = "combust_at",
		Label = L["Minumum Combustion total damage:"],
	},
}

a.LoadConfigs(config)
